Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Error General - No se pudo obtener datos de estilo - BACKTRACETema Solucionado

Dudas sobre estilos phpBB 3.1.x
Cerrado
Avatar de Usuario
karbiko
Moderador
Mensajes: 637
Registrado: 27 Jun 2008, 22:44
Género:

Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por karbiko » 22 Sep 2016, 11:09

Buenas...
Ayer me llegó un mensaje de mi proveedor (1&1) en que me indicaba lo siguiente:
El lenguaje de programación PHP es el motor de muchas páginas web dinámicas. También usted utiliza este lenguaje de programación en sus páginas web. Por desgracia, desde julio de 2016, la comunidad PHP ya no ofrece más actualizaciones de seguridad para la versión PHP que usted utiliza (versión 5.5)
...
Puede empezar ahora a usar otra versión PHP gratuita o seguir utilizando la versión PHP 5.5, que pasará a ser de pago a partir de enero de 2017.
...

Estas son sus opciones:
1. Actualizar la versión PHP: versión segura, más rápida y gratuita.
Utilice para su página web una versión actual de este lenguaje de programación, por ejemplo PHP 7.0. Diversas pruebas han demostrado que las páginas web con PHP 7.0 funcionan hasta un 50 % más rápido.
2. PHP 5.5: versión segura, cómoda y de pago.
Si no actualiza su versión PHP, su página web seguirá utilizando PHP 5.5 y funcionará de forma estable y segura. A partir del 10/1/2017 se facturarán 5,31 EUR mensuales (I.V.A. no incluido) por el servicio 1&1 PHP Soporte Extendido.

Imagen
Pues lo que hice es actualizar para utilizar el PHP 5.6

Eso lo hice ayer por la mañana y todo el día estuvo perfecto...

Pero hoy, al intentar entrar al foro me aparece este error:
Imagen

He descargado esos dos archivos app.php y user.php y ésto es lo que tienen en las líneas marcadas:
index.php

app.php - línea 29

Código: Seleccionar todo

$user->setup('app');
user.php - línea 273 a 276

Código: Seleccionar todo

	if (!$this->style)
		{
			trigger_error('NO_STYLE_DATA', E_USER_ERROR);
		}
He entrado en el panel de control y he restaurado la versión de PHP, volviendo a la anterior (5.5), pero aún así no me carga el foro.

¿Alguna ayuda?


URL: http://www.fororegistrocivil.es
Demás datos:
Spoiler
Mostrar
Plantilla(s): prosilver, Orange_BBEs
Versión instalada: phpBB 3.2.4
Extensiones:
Spoiler
Mostrar
24 hour activity stats 1.0.4
Addon for Thanks for posts 2.0.8
Add User 1.0.4
Advanced BBCode Box 3.1.4
Advanced Profile Fields Pack 1.0.0
Ajax Base 2.0.0
AJAX Registration check 1.0.0
Auto Database Backup 1.1.0
Avatars on Memberlist 2.0.0
Ban Hammer 1.0.0
Board3 Portal 2.1.0
Board Announcements 1.0.5
Board Rules 1.0.4
Browse Happy 2.0.1
Category Image 1.0.3
cBB Chat 1.1.3
Change Post Time 1.0.1
Collapsible Forum Categories 1.0.1
Cookie Policy 1.1.3
Copyright in footer 1.0.1
Css magic 1.0.2
Database Optimize & Repair Tool 1.1.3-dev
Default Avatar 1.1.4
Delete my registration 1.0.3
Detailed viewonline 1.0.0
Downloadlog 1.0.1
E-mail on birthday 3.1.6
Email List 1.0.2
File Download 1.0.2
Forumhulp Helper 3.1.10
Forum Icons 1.0.2
Forum Legend 1.0.2
Genders 1.1.1
gn36 - Customize first post edit permissions 1.2.2
Google Analytics 1.0.2
Google Translator 1.0.1
Header Banner 3.1.0_RC9
Hide Avatar for guests 1.0.1
Hide Bots 1.0.2
HTML email 3.1.7
Individual posts per page 1.0.1
Last Post Avatar 1.0.3
Lightbox 1.0.4
List subforums in columns 2.0.0
LMDI Autolinks 1.2.0
Log new user 1.0.2
Me You We Us 0.2.0
National Flags 2.1.0
No Custom Profile for guests 1.0.2
No Notice Delete PM 1.0.0
No quote last post 1.0.4
Notes 2.0.0
Pages 1.0.5
Password Strength 1.2.1
Paypal Donation 1.0.2
phpBB3 SEO Sitemap 1.1.1
PM Name Suggestions 1.1.1
PM Welcome 1.0.1
Poster IP in Viewtopic 1.0.1
Posts merging 2.0.3-dev
Precise Similar Topics 1.4.1
Previous / Next topic 1.0.3
Quick Login 1.0.5
QuickReply Reloaded 1.0.2
Quick Style 1.3.5
Quoted Images as Thumbnails 1.0.1
Red title for new topic and new reply 1.0.2
Reset login attempts 1.0.2
Right Side Header Image 3.1.1
Scroll To Up and Bottom 1.0.2
Search user topics 1.0.1
Seo Meta Description 1.0.0
Share On 2.0.0
smilies scroll box 1.0.3
Sortables Captcha 2.0.0
Stop Forum Spam 1.0.6
Tabbed stat-block 1.0.2
tas2580 Failed logins 1.1.0
Telegram Share 0.1.0-b1
Thanks for posts 2.0.2
TinyPic Link 1.0.2
Topic Preview 2.2.4
Unique Visits Counter 1.0.3
Upload Extensions 3.1.2
User login redirect 1.1.0
User Merge 1.0.2
User Recent Activity 2.0.0
Whatsapp Share 0.1.0-b1
Who Posted In This Topic 1.0.6
Who Visited This Topic 0.1.0-RC4.1
Who Visited This Topic 1.0.5
Servidor: de Pago (1and1)
Actualización: Si, de la 3.2.1 a la 3.2.4
Conversión de otro tipo de foro: No
Imagen


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
karbiko
Moderador
Mensajes: 637
Registrado: 27 Jun 2008, 22:44
Género:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por karbiko » 22 Sep 2016, 11:31

Bueno, pues he seguido trapichando un poco y recordé que también creé un SITEMAP con la función que ofrece el propio alojamiento...
Supongo que lo actualizarían anoche y que a partir de ahí fue la caída.

No he hecho más que eliminar ese Sitemap que 1&1 hizo automáticamente y ¡¡voalá!!, el foro nuevamente online...

¿Sabéis si se puede utilizar la versión 5.6 de PHP?
¿Y la 7.0?
¿Cúal es la preferible?


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
ThE KuKa
Administrador
Mensajes: 9304
Registrado: 04 Ene 2004, 19:27
Nombre real: Raúl
Ubicación: Terrassa
Género:
Contactar:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE  Tema Solucionado

Mensaje por ThE KuKa » 25 Sep 2016, 19:29

Hola,

Aquí usamos PHP 5.6.18 sin problemas.
PHP 7.0 o superior NO es soportada, esto se aclara en phpBB 3.1.10 (viendo los cambios de idioma en GitHub realizados, queda claro que es así).

Saludos.
Raul [ThE KuKa] en phpBB
Jr. Extension Validator - Jr. Styles Validator - Style Customisations - Translator - International Support Team


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 665
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por J_Sparrow » 27 Sep 2016, 01:43

Buenas, a ver si he entendido bien, los Foros versiones 3.0.XX no funcionan o no son soportados por el PHP 7.0 y los 3.1.XX funcionan tanto con PHP 5.XX, como con PHP 7.0
Lo pregunto porque mi Foro también esta alojado en 1&1 y también me han mandado el correo de que me dan un plazo hasta Enero para que o actualice el PHP a la 7.0 o a partir de Enero me cobraran 5,31 € mas IVA al mes, por el mantenimiento del PHP 5, que deja de ser gratuito el mantenimiento.
Si es así, ya puedo actualizar a la 3.1.XX rápidamente o tendré que pasar por caja.

No voy a tener ni un minuto de tranquilidad.
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
ThE KuKa
Administrador
Mensajes: 9304
Registrado: 04 Ene 2004, 19:27
Nombre real: Raúl
Ubicación: Terrassa
Género:
Contactar:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por ThE KuKa » 28 Sep 2016, 17:56

Ahora mismo phpBB 3.1.10 NO es compatible con PHP 7.0 o superior, están en ello...
Raul [ThE KuKa] en phpBB
Jr. Extension Validator - Jr. Styles Validator - Style Customisations - Translator - International Support Team


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 665
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por J_Sparrow » 28 Sep 2016, 18:28

Gracias ThE KuKa, pues entonces me quedo con mi 3.0.14 hasta finales de año mientras que no hagan compatible el 3.1.XX con el PHP 7.0
Si para Enero no hay solución, pues no me quedará mas remedio que pagar, cambie o no cambie de versión de Foro.

Gracias otra vez.
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
karbiko
Moderador
Mensajes: 637
Registrado: 27 Jun 2008, 22:44
Género:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por karbiko » 29 Sep 2016, 19:53

Capitan Sparrow, yo tengo la versión 3.1.9 y estaba con el PHP 5.5.
Al final, he activado la 5.6 y así me evito problemas y dejo de tener que pagar ese impuesto revolucionario a partir de enero... (Incluso me plantearé hasta si seguir con ellos...)
Con la 5.6 no tendré problemas, en principio, hasta 2018... Y ahí espero ya estar en 3.2 y con PHP mucho más actualizado..

En definitiva, que te recomiendo que te actualices ya a 3.1.x...
No lo dejes pasar porque cada vez se te va a hacer más lioso..
Si, ya se que hay versión para ir de la 3.0.14 a la última directamente,... pero por mi experiencia personal no es lo más aconsejable..
Si de la 3.0.14 puedes irte a una 3.1.3 o 4 o por ahí, mejor.... Y luego continuar hasta la última... Pero todo está en probarlo con la misma bbdd en local y así si luego te da problemas tienes ya actualizada esa bbdd...

Porque el permanecer con el 3.0.14 ¿por qué es? ¿Nostalgia de algún mod que no exista como ext? Pero si hoy ya casi todos los mods principales están en EXT...
Pero bueno,... it's up to you!!

Buena suerte, Jack Sparrow.
URL: http://www.fororegistrocivil.es
Demás datos:
Spoiler
Mostrar
Plantilla(s): prosilver, Orange_BBEs
Versión instalada: phpBB 3.2.4
Extensiones:
Spoiler
Mostrar
24 hour activity stats 1.0.4
Addon for Thanks for posts 2.0.8
Add User 1.0.4
Advanced BBCode Box 3.1.4
Advanced Profile Fields Pack 1.0.0
Ajax Base 2.0.0
AJAX Registration check 1.0.0
Auto Database Backup 1.1.0
Avatars on Memberlist 2.0.0
Ban Hammer 1.0.0
Board3 Portal 2.1.0
Board Announcements 1.0.5
Board Rules 1.0.4
Browse Happy 2.0.1
Category Image 1.0.3
cBB Chat 1.1.3
Change Post Time 1.0.1
Collapsible Forum Categories 1.0.1
Cookie Policy 1.1.3
Copyright in footer 1.0.1
Css magic 1.0.2
Database Optimize & Repair Tool 1.1.3-dev
Default Avatar 1.1.4
Delete my registration 1.0.3
Detailed viewonline 1.0.0
Downloadlog 1.0.1
E-mail on birthday 3.1.6
Email List 1.0.2
File Download 1.0.2
Forumhulp Helper 3.1.10
Forum Icons 1.0.2
Forum Legend 1.0.2
Genders 1.1.1
gn36 - Customize first post edit permissions 1.2.2
Google Analytics 1.0.2
Google Translator 1.0.1
Header Banner 3.1.0_RC9
Hide Avatar for guests 1.0.1
Hide Bots 1.0.2
HTML email 3.1.7
Individual posts per page 1.0.1
Last Post Avatar 1.0.3
Lightbox 1.0.4
List subforums in columns 2.0.0
LMDI Autolinks 1.2.0
Log new user 1.0.2
Me You We Us 0.2.0
National Flags 2.1.0
No Custom Profile for guests 1.0.2
No Notice Delete PM 1.0.0
No quote last post 1.0.4
Notes 2.0.0
Pages 1.0.5
Password Strength 1.2.1
Paypal Donation 1.0.2
phpBB3 SEO Sitemap 1.1.1
PM Name Suggestions 1.1.1
PM Welcome 1.0.1
Poster IP in Viewtopic 1.0.1
Posts merging 2.0.3-dev
Precise Similar Topics 1.4.1
Previous / Next topic 1.0.3
Quick Login 1.0.5
QuickReply Reloaded 1.0.2
Quick Style 1.3.5
Quoted Images as Thumbnails 1.0.1
Red title for new topic and new reply 1.0.2
Reset login attempts 1.0.2
Right Side Header Image 3.1.1
Scroll To Up and Bottom 1.0.2
Search user topics 1.0.1
Seo Meta Description 1.0.0
Share On 2.0.0
smilies scroll box 1.0.3
Sortables Captcha 2.0.0
Stop Forum Spam 1.0.6
Tabbed stat-block 1.0.2
tas2580 Failed logins 1.1.0
Telegram Share 0.1.0-b1
Thanks for posts 2.0.2
TinyPic Link 1.0.2
Topic Preview 2.2.4
Unique Visits Counter 1.0.3
Upload Extensions 3.1.2
User login redirect 1.1.0
User Merge 1.0.2
User Recent Activity 2.0.0
Whatsapp Share 0.1.0-b1
Who Posted In This Topic 1.0.6
Who Visited This Topic 0.1.0-RC4.1
Who Visited This Topic 1.0.5
Servidor: de Pago (1and1)
Actualización: Si, de la 3.2.1 a la 3.2.4
Conversión de otro tipo de foro: No
Imagen


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 665
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por J_Sparrow » 30 Sep 2016, 23:47

Capitan, :lol: :lol: , creo que no llego ni a grumete.
Creo que voy a hacer lo mismo que tu, activar la 5.6 (primero veré lo que tengo) y seguiré poco a poco hasta final de año.

Mi idea es actualizarme lo mas pronto posible (y llevo diciéndolo medio año o mas) a la 3.1 y seguido a la 3.2, cuando salga.
karbiko escribió:Porque el permanecer con el 3.0.14 ¿por qué es? ¿Nostalgia de algún mod que no exista como ext? Pero si hoy ya casi todos los mods principales están en EXT...
Lo mio no es ni nostalgia, ni ningún mod que no exista como extensión, lo mio es miedo y desconocimiento. Miedo a meter la pata, como ya he hecho en el pasado y desconocimiento porque no tengo ni idea de PHP, ni nada parecido. Si por mi fuese estaba con 3.1 a tope, pero como tengo mods y hay que retocar muchas cosas, pues me da mieso cargarme algo y tener que dejar mi pequeño Foro cerrado un tiempo, mientras resuelvo el problema. Ya me pasó una vez y lo pasé muy mal. Aparte de esto, la falta de tiempo o que me surgen otras cosas, me bloquea, ya que yo tengo que pillar un día, tomar carrerilla y no parar hasta ponerlo al día. Tengo pendiente hacer unas pruebas en un Foro de pruebas que puedo montar en mi servidor, porque lo de hacer las pruebas en un Foro Local, no tengo ni idea de como se hace. Será cuestión de buscar información de como se hace, tal vez sea mas rápido que en el Foro de pruebas.

Gracias por tu ayuda Karbico y creo que no deberíamos seguir debatiendo en este post, lo he desvirtuado inocentemente :( :( :( :(
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
ThE KuKa
Administrador
Mensajes: 9304
Registrado: 04 Ene 2004, 19:27
Nombre real: Raúl
Ubicación: Terrassa
Género:
Contactar:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por ThE KuKa » 03 Oct 2016, 18:36

Hago un poco OFF Topic y perdonar por ello...

Pero, que es eso de que cobran por dar soporte a PHP instalado en el servidor "compartido" osea, os cobran a TODOS los usuarios de un servidor compartido 5,31 € (si un servidor puede alojar tranquilamente 100 páginas o dominios..........) les sale bien el negocio.

Entendería que cobrasen "céntimos" por eso a cada usuario (osea dominio) pero, 5.31 € a cada usuario, o dominio, o plan de hospedaje... me parece robo a mano armada.

Saludos.

P.D. Ir pensando en otro hospedaje, porque si dejáis que os roben una vez, la próxima será más grande el robo.
Raul [ThE KuKa] en phpBB
Jr. Extension Validator - Jr. Styles Validator - Style Customisations - Translator - International Support Team


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Avatar de Usuario
J_Sparrow
Moderador
Mensajes: 665
Registrado: 30 Oct 2009, 00:20
Nombre real: Jose Luis
Ubicación: España
Género:

Re: Error General - No se pudo obtener datos de estilo - BACKTRACE

Mensaje por J_Sparrow » 04 Oct 2016, 20:26

Hago un poco OFF Topic y perdonar por ello...
Por favor, faltaría mas ...
A ver, te aclaro un poco el tema, porque no es lo que tu piensas, seguramente.
En mi caso y creo que en el del compañero, yo no pago nada mas que mi cuota semestral. Mi Foro esta alojado en alguna zona en su servidor y este sitio esta programado en PHP 5.5
Por el motivo que sea, ellos quieren actualizarse a PHP 7.0 y si nosotros no queremos actualizarnos o no podemos, nos dejan un espacio en PHP 5.5 y además nos cobran con una escusa de mantenimiento. ¿Por qué?, porque es una manera de que todos digamos que si queremos cambiarnos (no me preguntes el por que), ya que de no hacerlo, pasaremos por caja con un incremento por mantenimiento.
De todos es conocido que las actualizaciones son necesarias, porque se van descubriendo fallos en los sistemas (pasa hasta en phpBB3), se mejoran los recursos, posibilidades, potencia y agilidad. PHP no será menos y tal vez lo que quieran (como por ejemplo Microsoft), es que la gente use las últimas versiones de los programas o lenguajes.
A mi que este en PHP 5.5 o 7.0 me da igual, lo que quiero es que mi Foro siga funcionando sin problemas.
Pienso y confío, que para antes de Enero del 2017, la nueva versión de phpBB3.2 este ya contemplada y preparada para funcionar con PHP 7.0 y también confío en que una futura versión de 3.1 (20, 21, 22 etc), ya venga para poder funcionar en PHP 7.0
Eso o tendremos que buscar otras alternativas al alojamiento, porque yo a estas alturas no me replanteo de cambiar de sistema de Foro ni loco :rofl: :rofl: :rofl:

Espero haberme expresado lo mejor posible. Si no ha sido así, lo siento.
Contenido Oculto
Este foro requiere que este registrado e identificado para ver el contenido oculto.


Enlace:
BBCode:
HTML:

Ocultar enlaces al mensaje
Mostrar enlaces al mensaje

Cerrado